Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Interface PersistenceInput

All Known Implementing Classes:
  GraphTransaction.Reader, ModificationQueue.Applier, PersistenceInputDecorator, PersistenceInputStream, Transaction.Reader, XAQueue.Reader, XMLGraphReader, XMLPersistenceReader

    public interface PersistenceInput

Field Summary
`static int` | `ARRAY_OBJECT`
`static int` | `MANAGEABLE_OBJECT`
`static int` | `MIN_UNUSED_KIND`
`static int` | `NULL_OBJECT`
`static int` | `PERSISTENT_OBJECT_ID`
`static int` | `PLAIN_OBJECT`
`static int` | `SERIALIZED_OBJECT`
`static int` | `SHARED_OBJECT_REFERENCE`
`static int` | `STRING_OBJECT`

Method Summary
`boolean` | `areFieldsProvided()`
`int` | `beginArray()`
`boolean` | `beginComponent(ManageableType.ArrayComponent c, int index)`
`ManageableType.Field` | `beginField(ManageableType type, ManageableType.Field field)`
`ManageableType` | `beginManaged()`
`void` | `endArray()`
`void` | `endComponent()`
`void` | `endField()`
`void` | `endManaged()`
`PersistenceBindings` | `getBindings()`
`int` | `getNextObjectKind()`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`java.lang.String` | `readName()`
`java.lang.Object` | `readObject(int kind, Type type)`
`PersistenceCapable` | `readPersistentObject()`
`long` | `readPersistentObjectId()`
`Shareable` | `readSharedObject()`
`short` | `readShort()`
`java.lang.String` | `readString()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`PersistenceCapable` | `resolveId(long inputId)`
`void` | `setNested(boolean nested)`

Field Detail

### ARRAY_OBJECT

    static final int ARRAY_OBJECT

See Also:
  Constant Field Values

### MANAGEABLE_OBJECT

    static final int MANAGEABLE_OBJECT

See Also:
  Constant Field Values

### MIN_UNUSED_KIND

    static final int MIN_UNUSED_KIND

See Also:
  Constant Field Values

### NULL_OBJECT

    static final int NULL_OBJECT

See Also:
  Constant Field Values

### PERSISTENT_OBJECT_ID

    static final int PERSISTENT_OBJECT_ID

See Also:
  Constant Field Values

### PLAIN_OBJECT

    static final int PLAIN_OBJECT

See Also:
  Constant Field Values

### SERIALIZED_OBJECT

    static final int SERIALIZED_OBJECT

See Also:
  Constant Field Values

### SHARED_OBJECT_REFERENCE

    static final int SHARED_OBJECT_REFERENCE

See Also:
  Constant Field Values

### STRING_OBJECT

    static final int STRING_OBJECT

See Also:
  Constant Field Values

Method Detail

### areFieldsProvided

    boolean areFieldsProvided()

### beginArray

    int beginArray()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginComponent

    boolean beginComponent(ManageableType.ArrayComponent c,
                           int index)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginField

    ManageableType.Field beginField(ManageableType type,
                                    ManageableType.Field field)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginManaged

    ManageableType beginManaged()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### endArray

    void endArray()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### endComponent

    void endComponent()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### endField

    void endField()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### endManaged

    void endManaged()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBindings

    PersistenceBindings getBindings()

### getNextObjectKind

    int getNextObjectKind()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBoolean

    boolean readBoolean()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByte

    byte readByte()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    char readChar()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readDouble

    double readDouble()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFloat

    float readFloat()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    long readLong()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readName

    java.lang.String readName()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readObject

    java.lang.Object readObject(int kind,
                                Type type)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPersistentObject

    PersistenceCapable readPersistentObject()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPersistentObjectId

    long readPersistentObjectId()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readSharedObject

    Shareable readSharedObject()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    short readShort()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    java.lang.String readString()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUnsignedByte

    int readUnsignedByte()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUnsignedShort

    int readUnsignedShort()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### resolveId

    PersistenceCapable resolveId(long inputId)

### setNested

    void setNested(boolean nested)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD